Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.php
Class PHPServletContextProviderImpl

    java.lang.Object
      org.apache.portals.bridges.php.PHPServletContextProviderImpl

All Implemented Interfaces:
  org.apache.portals.bridges.common.ServletContextProvider

public class PHPServletContextProviderImpl
extends Object
implements org.apache.portals.bridges.common.ServletContextProvider

PHPServletContextProviderImpl supplies a PHPPortlet access to the Servlet context of a Jetspeed Portlet.

Version:
  $Id: PHPServletContextProviderImpl.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Constructor Summary
`PHPServletContextProviderImpl()`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest(javax.portlet.GenericPortlet portlet, javax.portlet.PortletRequest request)`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse(javax.portlet.GenericPortlet portlet, javax.portlet.PortletResponse response)`
`javax.servlet.ServletContext` | `getServletContext(javax.portlet.GenericPortlet portlet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PHPServletContextProviderImpl

    public PHPServletContextProviderImpl()

Method Detail

### getServletContext

    public javax.servlet.ServletContext getServletContext(javax.portlet.GenericPortlet portlet)

  Specified by:
    `getServletContext` in interface `org.apache.portals.bridges.common.ServletContextProvider`

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest(javax.portlet.GenericPortlet portlet,
                                                                       javax.portlet.PortletRequest request)

  Specified by:
    `getHttpServletRequest` in interface `org.apache.portals.bridges.common.ServletContextProvider`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse(javax.portlet.GenericPortlet portlet,
                                                                         javax.portlet.PortletResponse response)

  Specified by:
    `getHttpServletResponse` in interface `org.apache.portals.bridges.common.ServletContextProvider`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.